-- テーブルの削除
DROP TABLE ZANDAKATABLE IF EXISTS;
DROP TABLE UNYOHIDUKETABLE IF EXISTS;
DROP TABLE ZANDAKARIREKITABLE IF EXISTS;

-- テーブルの作成
-- 残高テーブル
CREATE TABLE ZANDAKATABLE(
	KOKYAKUID VARCHAR(20) NOT NULL,
	ZANDAKA BIGINT,
	SAISYUTORIHIKIBI DATE,
	PRIMARY KEY(KOKYAKUID));

-- 運用日付テーブル
CREATE TABLE UNYOHIDUKETABLE(UNYOHIDUKE DATE);

-- 残高履歴テーブル
CREATE TABLE ZANDAKARIREKITABLE(
	SYORIBI DATE,
	SYORIKENSU INTEGER);

-- インデックスの作成	
CREATE INDEX IDX_ZANDAKATABLE ON ZANDAKATABLE(KOKYAKUID);